# -*- coding: utf-8 -*-
from setuptools import setup, find_packages

with open('requirements.txt') as f:
	install_requires = f.read().strip().split('\n')

# get version from __version__ variable in mofadcustom/__init__.py
from mofadcustom import __version__ as version

setup(
	name='mofadcustom',
	version=version,
	description='Customizations and extras for MOFAD use of ERPNext',
	author='Museum of Food and Drink',
	author_email='glen@mofad.org',
	packages=find_packages(),
	zip_safe=False,
	include_package_data=True,
	install_requires=install_requires
)
